package com.education.model.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import java.util.Date;

/**
 * 学员错题本实体类
 * @author zengjintao
 * @version 1.0
 * @create_at 2020/11/25 14:24
 */
@TableName("student_wrong_book")
public class StudentWrongBook extends BaseEntity<StudentWrongBook> {

    @TableField("student_id")
    private Integer studentId;
    @TableField("question_info_id")
    private Integer questionInfoId;
    @TableField("question_mark")
    private Integer questionMark;

    @TableField("student_answer")
    private String studentAnswer;

    @TableField("correct_status")
    private Integer correctStatus;

    public String getAnswerp() {
        return answerp;
    }

    public void setAnswerp(String answerp) {
        this.answerp = answerp;
    }

    public String getAnswers() {
        return answers;
    }

    public void setAnswers(String answers) {
        this.answers = answers;
    }

    public String getAnswerr() {
        return answerr;
    }

    public void setAnswerr(String answerr) {
        this.answerr = answerr;
    }

    public String getAnswere() {
        return answere;
    }

    public void setAnswere(String answere) {
        this.answere = answere;
    }

    @TableField("answerp")
    private String answerp; // p试题答案
    @TableField("answers")
    private String answers; // s试题答案
    @TableField("answerr")
    private String answerr; // r试题答案
    @TableField("answere")
    private String answere; // e试题答案



    public StudentWrongBook() {

    }

    public Integer getQuestionMark() {
        return questionMark;
    }

    public void setQuestionMark(Integer questionMark) {
        this.questionMark = questionMark;
    }

    public String getStudentAnswer() {
        return studentAnswer;
    }

    public void setStudentAnswer(String studentAnswer) {
        this.studentAnswer = studentAnswer;
    }

    public Integer getCorrectStatus() {
        return correctStatus;
    }

    public void setCorrectStatus(Integer correctStatus) {
        this.correctStatus = correctStatus;
    }

    public StudentWrongBook(Integer studentId, Integer questionInfoId, Integer questionMark) {
        this.studentId = studentId;
        this.questionInfoId = questionInfoId;
        this.questionMark = questionMark;
        this.createDate = new Date();
    }

    public Integer getQuestionInfoId() {
        return questionInfoId;
    }

    public void setQuestionInfoId(Integer questionInfoId) {
        this.questionInfoId = questionInfoId;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }
}
